Skip to content
Docs

List NKS Load Balancers

GET/v1/nks/clusters/{cluster_id}/load_balancers

List all load balancers in an NKS cluster

Path ParametersExpand Collapse
cluster_id: string
Query ParametersExpand Collapse
cursor: optional string

Pagination cursor returned by a previous request

limit: optional number

Maximum number of items to return

maximum100
minimum10
ReturnsExpand Collapse
NKSLoadBalancerList object { items, pagination }
items: array of NKSLoadBalancer { id, cluster_id, created_at, 7 more }
id: string

Unique identifier for the load balancer.

cluster_id: string

Cluster this load balancer belongs to.

created_at: string

When the load balancer was first discovered.

formatdate-time
namespace: string

Kubernetes namespace of the load balancer.

private_ip: string

Private IP address of the load balancer.

public_ip: string

Public IP address assigned to this load balancer.

public_ip_enabled: boolean

Whether a public IP is enabled for this load balancer.

service_name: string

Kubernetes service name of the load balancer.

Status of the resource.

One of the following:
"pending"
"creating"
"updating"
"ready"
"deleting"
"deleted"
"error"
updated_at: string

When the load balancer was last updated.

formatdate-time

List NKS Load Balancers

curl https://api.nirvanalabs.io/v1/nks/clusters/$CLUSTER_ID/load_balancers \
    -H "Authorization: Bearer $NIRVANA_LABS_API_KEY"
{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "cluster_id": "123e4567-e89b-12d3-a456-426614174000",
      "created_at": "2025-01-01T00:00:00Z",
      "namespace": "default",
      "private_ip": "10.0.0.50",
      "public_ip": "198.51.100.10",
      "public_ip_enabled": false,
      "service_name": "my-service",
      "status": "ready",
      "updated_at": "2025-01-01T00:00:00Z"
    }
  ],
  "pagination": {
    "next_cursor": "RhwniMT4B74siYZcPF8TnCdGI1l9rpPvg",
    "previous_cursor": "ARhwnmi1hA7wEbHbMjdYQlOB_ZusP4fYvw",
    "total_count": 125
  }
}
Returns Examples
{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "cluster_id": "123e4567-e89b-12d3-a456-426614174000",
      "created_at": "2025-01-01T00:00:00Z",
      "namespace": "default",
      "private_ip": "10.0.0.50",
      "public_ip": "198.51.100.10",
      "public_ip_enabled": false,
      "service_name": "my-service",
      "status": "ready",
      "updated_at": "2025-01-01T00:00:00Z"
    }
  ],
  "pagination": {
    "next_cursor": "RhwniMT4B74siYZcPF8TnCdGI1l9rpPvg",
    "previous_cursor": "ARhwnmi1hA7wEbHbMjdYQlOB_ZusP4fYvw",
    "total_count": 125
  }
}